<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@color/white_bg"
    android:overScrollMode="never">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/back_btn"
            android:layout_width="35sp"
            android:layout_height="35sp"
            android:layout_margin="15dp"
            android:contentDescription="@string/back_button"
            android:padding="5dp"
            android:paddingStart="-15dp"
            android:paddingEnd="0dp"
            android:src="@drawable/arrow_back" />

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginBottom="5dp"
            android:fontFamily="@font/nunito_medium"
            tools:text="@string/create_contact"
            android:textSize="@dimen/_16ssp"
            android:textColor="@color/black" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/image"
            android:layout_width="@dimen/_100sdp"
            android:layout_height="@dimen/_100sdp"

            android:layout_gravity="center_horizontal"
            android:layout_marginTop="25dp"
            android:layout_marginBottom="15dp"

            android:src="@drawable/ic_add_image"
            />

        <TextView
            android:id="@+id/photo_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="@string/add_photo"
            android:layout_gravity="center_horizontal"
            android:fontFamily="@font/nunito_medium"
            android:textColor="@color/black"
            android:textSize="@dimen/_12ssp"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/name"
            android:fontFamily="@font/nunito_medium"
            android:textColor="@color/black"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="35sp"
            />

        <EditText
            android:id="@+id/name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"

            android:autofillHints="name"
            android:background="@drawable/edit_text_bg_2"
            android:drawableStart="@drawable/ic_user"
            android:drawablePadding="10dp"

            android:fontFamily="@font/nunito_regular"
            android:hint="@string/enter_your_full_name"

            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:inputType="textPersonName|textCapWords"
            android:padding="10dp"

            android:paddingVertical="15dp"
            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"

            android:maxLength="50"
            />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:baselineAligned="true"
            android:gravity="center_vertical"
            android:layout_marginHorizontal="15dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/relationship"
                android:fontFamily="@font/nunito_medium"
                android:textColor="@color/black"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:layout_gravity="start"
                />

            <TextView
                android:id="@+id/relation_optional"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:text="@string/optional"
                android:fontFamily="@font/nunito_regular"
                android:textColor="@android:color/darker_gray"

                android:layout_marginStart="5dp"
                />

        </LinearLayout>

        <EditText
            android:id="@+id/relationship"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"

            android:background="@drawable/edit_text_bg_2"
            android:drawableStart="@drawable/ic_relation"
            android:drawablePadding="10dp"

            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:fontFamily="@font/nunito_regular"
            android:hint="@string/enter_your_relationship"

            android:inputType="textPersonName|textCapSentences"
            android:padding="10dp"

            android:paddingVertical="15dp"
            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"

            android:maxLength="50"
            android:digits="@string/allowed_alphabets_with_space"
            android:singleLine="true"
            />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:baselineAligned="true"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/contact_number"
                android:fontFamily="@font/nunito_medium"
                android:textColor="@color/black"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:layout_gravity="start"
                android:layout_marginHorizontal="15dp"
                />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:text="@string/select_default_contact"
                android:fontFamily="@font/nunito_regular"
                android:textColor="@android:color/darker_gray"
                />

        </LinearLayout>

        <RelativeLayout
            android:id="@+id/contact_table_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            >

            <TableLayout
                android:id="@+id/contact_table"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                />

            <View
                android:id="@+id/contact_table_tint"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="match_parent"

                android:background="@android:color/darker_gray"
                android:alpha="0.5"

                android:clickable="false"
                android:focusable="false"/>

        </RelativeLayout>

<!--        <androidx.constraintlayout.widget.ConstraintLayout-->
<!--            android:visibility="gone"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_marginHorizontal="15dp"-->
<!--            android:layout_marginVertical="10dp"-->

<!--            android:gravity="center_vertical"-->

<!--            android:background="@drawable/edit_text_bg_2"-->
<!--            >-->

<!--            <ImageView-->
<!--                android:id="@+id/imageView2"-->
<!--                android:layout_width="0dp"-->

<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginVertical="10dp"-->

<!--                android:layout_marginStart="10dp"-->
<!--                android:contentDescription="@string/phone_number"-->
<!--                android:src="@drawable/ic_phone"-->
<!--                app:layout_constraintBottom_toBottomOf="parent"-->
<!--                app:layout_constraintStart_toStartOf="parent"-->
<!--                app:layout_constraintTop_toTopOf="parent" />-->

<!--            <com.skydoves.powerspinner.PowerSpinnerView-->
<!--                android:id="@+id/country_codes"-->
<!--                android:layout_width="0dp"-->
<!--                android:layout_height="wrap_content"-->

<!--                android:background="@color/white_bg"-->

<!--                android:gravity="center"-->

<!--                android:padding="10dp"-->
<!--                android:textColor="@color/black"-->
<!--                android:textSize="14.5sp"-->

<!--                app:fontFamily="@font/nunito_regular"-->

<!--                app:layout_constraintBottom_toBottomOf="parent"-->
<!--                app:layout_constraintStart_toEndOf="@+id/imageView2"-->
<!--                app:layout_constraintTop_toTopOf="parent"-->

<!--                app:spinner_arrow_animate="true"-->
<!--                app:spinner_arrow_drawable="@drawable/ic_down"-->
<!--                app:spinner_arrow_gravity="end"-->
<!--                app:spinner_arrow_padding="8dp"-->
<!--                app:spinner_divider_color="@color/black"-->
<!--                app:spinner_divider_show="true"-->
<!--                app:spinner_divider_size="0.4dp"-->
<!--                app:spinner_item_height="46dp"-->
<!--                app:spinner_popup_animation="dropdown"-->
<!--                app:spinner_popup_background="@drawable/edit_text_bg_2"-->
<!--                app:spinner_popup_elevation="14dp"-->
<!--                app:spinner_popup_max_height="200dp" />-->

<!--            <EditText-->
<!--                android:id="@+id/phone_number"-->
<!--                android:layout_width="0dp"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginEnd="10dp"-->

<!--                android:autofillHints="phone"-->

<!--                android:background="@android:color/transparent"-->
<!--                android:ems="11"-->
<!--                android:fontFamily="@font/nunito_regular"-->
<!--                android:hint="@string/phone_number"-->
<!--                android:inputType="number"-->

<!--                android:padding="10dp"-->
<!--                android:paddingVertical="15dp"-->

<!--                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"-->

<!--                android:textColor="@color/black"-->
<!--                android:textColorHint="@android:color/darker_gray"-->
<!--                app:layout_constraintBottom_toBottomOf="parent"-->
<!--                app:layout_constraintEnd_toStartOf="@id/check"-->
<!--                app:layout_constraintStart_toEndOf="@+id/country_codes"-->
<!--                app:layout_constraintTop_toTopOf="parent" />-->

<!--            <ImageButton-->
<!--                android:id="@+id/check"-->
<!--                android:layout_width="25dp"-->
<!--                android:layout_height="25dp"-->
<!--                android:layout_marginEnd="10dp"-->
<!--                android:src="@drawable/sub_check_drawable"-->
<!--                app:layout_constraintBottom_toBottomOf="parent"-->
<!--                app:layout_constraintEnd_toEndOf="parent"-->
<!--                app:layout_constraintTop_toTopOf="parent" />-->

<!--        </androidx.constraintlayout.widget.ConstraintLayout>-->



        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:baselineAligned="true"
            android:gravity="center_vertical"
            android:layout_marginHorizontal="15dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/email_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:fontFamily="@font/nunito_medium"
                android:text="@string/email_address_"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/black" />

            <TextView
                android:id="@+id/email_optional"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:text="@string/optional"
                android:fontFamily="@font/nunito_regular"
                android:textColor="@android:color/darker_gray"

                android:layout_marginStart="5dp"
                />

        </LinearLayout>

        <EditText
            android:id="@+id/email"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"

            android:autofillHints="emailAddress"
            android:background="@drawable/edit_text_bg_2"
            android:drawableStart="@drawable/ic_email"
            android:drawablePadding="10dp"

            android:fontFamily="@font/nunito_regular"
            android:hint="@string/enter_your_email"

            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:inputType="textEmailAddress"
            android:padding="10dp"

            android:paddingVertical="15dp"
            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"

            android:maxLength="255"
            />

        <LinearLayout
            android:id="@+id/caregiver_check_view"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"
            android:weightSum="10"
            android:gravity="center_vertical"
            >

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="7"
                android:text="@string/make_current_contact_as_a_caregiver"
                android:fontFamily="@font/nunito_medium"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/black"/>

            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/caregiver_check"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="3"
                android:layout_gravity="center_vertical"

                app:switchMinWidth="60dp"

                app:track="@drawable/switch_track_1"
                app:thumbTint="@color/color_primary"
                app:showText="false"
                />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/sos_check_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"
            android:weightSum="10"
            android:gravity="center_vertical"
            >

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="7"
                android:text="@string/make_current_contact_as_in_case_of_emergency_contact_sos"
                android:fontFamily="@font/nunito_medium"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/black"/>

            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/sos_check"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="3"
                android:layout_gravity="center_vertical"
                app:switchMinWidth="60dp"
                app:track="@drawable/switch_track_1"
                app:thumbTint="@color/color_primary"
                app:showText="false"
                />

            
        </LinearLayout>

        <TextView
            android:id="@+id/default_sos"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:text="@string/sos_is_set_to_e911_default"
            android:fontFamily="@font/nunito_regular"
            android:layout_marginVertical="10dp"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@android:color/holo_red_dark"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:weightSum="2"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="20dp"
            android:layout_marginBottom="15dp"
            android:orientation="horizontal">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/cancel_btn"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/white"
                android:text="@string/cancel"
                android:textColor="@color/black"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textAllCaps="false"
                android:paddingVertical="15dp"
                app:cornerRadius="10dp"
                android:layout_marginEnd="5dp"
                />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/next_btn"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/color_primary"
                android:text="@string/save"
                android:textColor="@color/white_bg"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textAllCaps="false"
                android:paddingVertical="15dp"
                app:cornerRadius="10dp"
                android:layout_marginStart="5dp"
                />

        </LinearLayout>

    </LinearLayout>

</ScrollView>